# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::PlyLoader::PlyScalarList Class Reference

Used by PlyLoader. More...

`#include <ioPLY.hpp>`

Inheritance diagram for vl::PlyLoader::PlyScalarList:

List of all members.

## Public Member Functions

| PlyScalarList ()
void | setCountType (EType type)
EType | countType () const
void | setScalarType (EType type)
EType | scalarType () const
const std::vector< PlyScalar > & | scalars () const
std::vector< PlyScalar > & | scalars ()
virtual void | read (VirtualFile *file, bool le)
virtual void | read (TextStream *text)

## Protected Attributes

std::vector< PlyScalar > | mScalars
EType | mScalarType
EType | mCountType

## Detailed Description

Used by PlyLoader.

Definition at line 143 of file ioPLY.hpp.

## Constructor & Destructor Documentation

vl::PlyLoader::PlyScalarList::PlyScalarList | ( | ) | `[inline]`

Definition at line 146 of file ioPLY.hpp.

## Member Function Documentation

void vl::PlyLoader::PlyScalarList::setCountType | ( | EType | type ) | `[inline]`

Definition at line 147 of file ioPLY.hpp.

EType vl::PlyLoader::PlyScalarList::countType | ( | ) | const`[inline]`

Definition at line 148 of file ioPLY.hpp.

void vl::PlyLoader::PlyScalarList::setScalarType | ( | EType | type ) | `[inline]`

Definition at line 149 of file ioPLY.hpp.

EType vl::PlyLoader::PlyScalarList::scalarType | ( | ) | const`[inline]`

Definition at line 150 of file ioPLY.hpp.

const std::vector<PlyScalar>& vl::PlyLoader::PlyScalarList::scalars | ( | ) | const`[inline]`

Definition at line 151 of file ioPLY.hpp.

Referenced by vl::PlyLoader::newElement().

std::vector<PlyScalar>& vl::PlyLoader::PlyScalarList::scalars | ( | ) | `[inline]`

Definition at line 152 of file ioPLY.hpp.

virtual void vl::PlyLoader::PlyScalarList::read | ( | VirtualFile * | file,
|  | bool | le
| ) |  | `[inline, virtual]`

Implements vl::PlyLoader::PlyPropertyAbstract.

Definition at line 153 of file ioPLY.hpp.

References vl::PlyLoader::PlyScalar::getAsInt(), vl::PlyLoader::PlyScalar::read(), and vl::PlyLoader::PlyScalar::setScalarType().

virtual void vl::PlyLoader::PlyScalarList::read | ( | TextStream * | text ) | `[inline, virtual]`

Implements vl::PlyLoader::PlyPropertyAbstract.

Definition at line 165 of file ioPLY.hpp.

References vl::PlyLoader::PlyScalar::getAsInt(), vl::PlyLoader::PlyScalar::read(), and vl::PlyLoader::PlyScalar::setScalarType().

## Member Data Documentation

std::vector<PlyScalar> vl::PlyLoader::PlyScalarList::mScalars`[protected]`

Definition at line 178 of file ioPLY.hpp.

EType vl::PlyLoader::PlyScalarList::mScalarType`[protected]`

Definition at line 179 of file ioPLY.hpp.

EType vl::PlyLoader::PlyScalarList::mCountType`[protected]`

Definition at line 180 of file ioPLY.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/ioPLY.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:43.
Permission is granted to use this page to write and publish articles regarding Visualization Library.